> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cominty.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Thread



## OpenAPI

````yaml /openapi.json put /chat/{thread_id}
openapi: 3.1.0
info:
  title: cominty/cominty
  description: |

    ### Cominty Meta:

    ```json
    {
      "VERSION_TAG": "dev.79907c8",
      "VERSION_AT": "2026-05-27T17:50:01+02:00",
      "DEPLOYED_BY": "github-actions::jgourinda-cominty",
      "DEPLOYED_AT": "2026-05-27T16:09:30Z",
      "AWS_SECRET_NAME": "cominty-monorepo-dev-python-api",
      "AWS_SECRET_VERSION": "d565f436-8e34-4542-8770-527218797875",
      "AWS_SECRET_REGION": "eu-west-3"
    }
    ```
  version: dev.79907c8
servers:
  - url: https://ds.cominty.com
security:
  - comintyToken: []
paths:
  /chat/{thread_id}:
    put:
      tags:
        - chat
      summary: Update Thread
      operationId: update_thread_chat__thread_id__put
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Thread Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThreadUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThreadOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ThreadUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        starred:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Starred
      additionalProperties: false
      type: object
      title: ThreadUpdate
    ThreadOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        live:
          type: boolean
          title: Live
        agent:
          $ref: '#/components/schemas/cominty__api__routers__chat__AgentOut'
        starred:
          type: boolean
          title: Starred
        messages:
          items:
            $ref: '#/components/schemas/MessageOut'
          type: array
          title: Messages
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - created_at
        - live
        - agent
        - starred
        - messages
      title: ThreadOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    cominty__api__routers__chat__AgentOut:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      additionalProperties: false
      type: object
      required:
        - id
        - name
      title: AgentOut
    MessageOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        thread_id:
          type: string
          format: uuid
          title: Thread Id
        role:
          type: string
          title: Role
        content:
          type: string
          title: Content
        questions:
          anyOf:
            - items:
                $ref: '#/components/schemas/Question'
              type: array
            - type: 'null'
          title: Questions
        live:
          type: boolean
          title: Live
        status:
          type: string
          title: Status
        events:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Events
        structured_output:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Structured Output
        files:
          items:
            $ref: '#/components/schemas/ConversationFileOut'
          type: array
          title: Files
      additionalProperties: false
      type: object
      required:
        - id
        - thread_id
        - role
        - content
        - questions
        - live
        - status
        - events
        - structured_output
        - files
      title: MessageOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Question:
      properties:
        prompt:
          type: string
          title: Prompt
          description: The actual text of the question you need to ask the user.
        options:
          items:
            type: string
          type: array
          title: Options
          description: >-
            A list of quick-reply strings to make it easier for the user to
            answer. Leave empty if specific suggestions don't make sense.
      additionalProperties: false
      type: object
      required:
        - prompt
      title: Question
      description: Represents a clarification or follow-up question for the user.
    ConversationFileOut:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        size:
          type: integer
          title: Size
        mimetype:
          type: string
          title: Mimetype
        origin:
          $ref: '#/components/schemas/ContentOrigin'
        url:
          type: string
          title: Url
          readOnly: true
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - size
        - mimetype
        - origin
        - url
      title: ConversationFileOut
    ContentOrigin:
      type: string
      enum:
        - user
        - agent
      title: ContentOrigin
  securitySchemes:
    comintyToken:
      type: apiKey
      in: header
      name: x-cominty-token
      description: Your Cominty API token.

````